Merge branch 'jc/parseopt-expiry-errors'
authorJunio C Hamano <gitster@pobox.com>
Tue, 8 May 2018 06:59:33 +0000 (15:59 +0900)
committerJunio C Hamano <gitster@pobox.com>
Tue, 8 May 2018 06:59:33 +0000 (15:59 +0900)
commit3915f9a4fa2ae48b282a71f72113ca8629b27618
treec273799cdec3a91d09c93db595311b9ca1975ea3
parentad3207e6ff019060e4f634a5455aa0ae248e3a7a
parent8ab5aa4bd8e218b9658dbdd7f5bfcaa512f607dc
Merge branch 'jc/parseopt-expiry-errors'

"git gc --prune=nonsense" spent long time repacking and then
silently failed when underlying "git prune --expire=nonsense"
failed to parse its command line.  This has been corrected.

* jc/parseopt-expiry-errors:
  parseopt: handle malformed --expire arguments more nicely
  gc: do not upcase error message shown with die()
builtin/gc.c
t/t5304-prune.sh